/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#ifndef NEEDPROTOS
extern Widget	createDlg();
extern Widget	errorDlg();
extern Widget	errorDlgEnum();
extern Widget	infoDlg();
extern int	modalYesNo();
extern int	modalYesNoCancel();
extern int	modalSelectionDlg();
extern char	*modalPromptDialog();
extern void	destroyWorking();
extern Widget	create_working_dialog();
#else /* !NEEDPROTOS */
extern Widget	createDlg(Widget w, int type, char *dlgName, char *text,
			char *okt, void (*okc)(), char *cancelt,
			void (*cancelc)(), char *helpt, void (*helpc)(),
			unsigned char modality);
extern Widget	errorDlg(Widget w, char *text);
extern Widget	errorDlgEnum(Widget w, int id);
extern Widget	infoDlg(Widget w, char *text);
extern int	modalYesNo(Widget w, char *str);
extern int	modalYesNoCancel(Widget w, char *str);
extern int	modalSelectionDlg(Widget w, char *name, char **vals);
extern char	*modalPromptDialog(Widget w, char *name, char *val,
			XtPointer help_cb, XtPointer help_cbval);
extern void	destroyWorking(Widget *wp);
extern Widget	create_working_dialog(Widget parent, char *text, char *ok_text,
			char *cancel_text, char *help_text,
			XtCallbackProc ok_cb, XtCallbackProc cancel_cb,
			XtCallbackProc help_cb, XtPointer cb_data,
			XtPointer user_data);
#endif /* !NEEDPROTOS */

#define	dlgYES		1
#define	dlgNO		2
#define	dlgCANCEL	3
#define	dlgOK		4
