/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#ifndef NEEDPROTOS
void setFindObject();
void setFindMatch();
void setFindAttr();
struct findDataStruct *createFindWindow();
void updateSearchBaseText();
void updateBoundAsText();
#else /* !NEEDPROTOS */
void setFindObject(Widget w, int item_no, XmAnyCallbackStruct *cbs);
void setFindMatch(Widget w, int item_no, XmAnyCallbackStruct *cbs);
void setFindAttr(Widget w, int item_no, XmAnyCallbackStruct *cbs);
struct findDataStruct *createFindWindow(Widget parent);
void updateSearchBaseText(char *sb);
void updateBoundAsText(char *ba);
#endif /* !NEEDPROTOS */
