/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#include <Xm/Xm.h>

#include <lber.h>
#include <ldap.h>

#include "dtypes.h"
#include "globals.h"
#include "errtxt.h"

errorTextStruct errorTexts[] = {
{ MIN_ERROR_ID, NULL },
{ E_RFC822_BLANKS_DISALLOWED, &(appConfig.emBlanksNotAllowed) },
{ E_SEARCH_TIMED_OUT, &(appConfig.emSearchTimedOut) },
{ E_BLANK_URL_NOT_ALLOWED, &(appConfig.emBlankURLNotAllowed) },
{ E_BADADDDNARGS, &(appConfig.emBadDNArgs) },
};


