/*
 * Copyright (c) 1993, 1994, 1995 Regents of the University of Michigan.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that this notice is preserved and that due credit is given
 * to the University of Michigan at Ann Arbor. The name of the University
 * may not be used to endorse or promote products derived from this
 * software without specific prior written permission. This software
 * is provided ``as is'' without express or implied warranty.
 */

#ifndef NEEDPROTOS

extern void *syn_CISToText();
extern struct berval **syn_TextToCIS();
extern void *syn_MLSToText();
extern struct berval **syn_TextToMLS();
extern struct berval **syn_TextToMLS1val();
extern void *syn_DisplayText();

extern void *syn_ToAudio();
extern struct berval **syn_FromAudio();
extern void *syn_DisplayAudio();

extern void *syn_ToJpeg();
extern struct berval **syn_FromJpeg();
extern void *syn_DisplayJpeg();

extern void *syn_ToMember();
extern struct berval **syn_FromMember();
extern void *syn_DisplayMember();

extern void *syn_ToDN();
extern struct berval **syn_FromDN();
extern void *syn_DisplayDN();
extern int syn_AddDN();
extern int syn_DeleteDN();

extern void *syn_ToBoolean();
extern struct berval **syn_FromBoolean();
extern void *syn_DisplayBoolean();

extern void *syn_ToURL();
extern struct berval **syn_FromURL();
extern void *syn_DisplayURL();
extern int syn_AddURL();
extern int syn_DeleteURL();

extern void *syn_ToTime();
extern struct berval **syn_FromTime();

extern void *syn_ToDate();
extern struct berval **syn_FromDate();

extern void *syn_RFC822ToText();
extern struct berval **syn_TextToRFC822();
extern int syn_VerifyRFC822();

extern void *syn_DisplaySearchAction();

extern void *syn_DisplayLinkAction();

extern void *syn_DisplayAddDNAction();

extern void *syn_DisplayVerifyDNAction();

#else /* !NEEDPROTOS */
extern void *syn_CISToText(struct berval **vals);
extern struct berval **syn_TextToCIS(char *val);
extern void *syn_MLSToText(struct berval **vals);
extern struct berval **syn_TextToMLS(char *val);
extern struct berval **syn_TextToMLS1val(char *val);
extern void *syn_DisplayText(Widget parent, displayAttrData *dad);

extern void *syn_ToAudio();
extern struct berval **syn_FromAudio();
extern void *syn_DisplayAudio(Widget parent, displayAttrData *dad);

extern void *syn_ToJpeg();
extern struct berval **syn_FromJpeg();
extern void *syn_DisplayJpeg(Widget parent, displayAttrData *dad);

extern void *syn_ToMember();
extern struct berval **syn_FromMember();
extern void *syn_DisplayMember(Widget parent, displayAttrData *dad);

extern void *syn_ToDN(struct berval **vals);
extern struct berval **syn_FromDN(void *val);
extern void *syn_DisplayDN(Widget parent, displayAttrData *dad);
extern int syn_AddDN(displayAttrData *dad, char *value);
extern int syn_DeleteDN(displayAttrData *dad, char *value);

extern void *syn_ToBoolean(struct berval **vals);
extern struct berval **syn_FromBoolean();
extern void *syn_DisplayBoolean(Widget parent, displayAttrData *dad);

extern void *syn_ToURL();
extern struct berval **syn_FromURL();
extern void *syn_DisplayURL(Widget parent, displayAttrData *dad);
extern int syn_AddURL(displayAttrData *dad, char *value);
extern int syn_DeleteURL(displayAttrData *dad, char *value);

extern void *syn_ToTime(struct berval **vals);
extern struct berval **syn_FromTime();

extern void *syn_ToDate(struct berval **vals);
extern struct berval **syn_FromDate();

extern void *syn_RFC822ToText(struct berval **vals);
extern struct berval **syn_TextToRFC822(char *val);
extern int syn_VerifyRFC822(char *val);

extern void *syn_DisplaySearchAction(Widget parent, displayAttrData *dad);

extern void *syn_DisplayLinkAction(Widget parent, displayAttrData *dad);

extern void *syn_DisplayAddDNAction(Widget parent, displayAttrData *dad);

extern void *syn_DisplayVerifyDNAction(Widget parent, displayAttrData *dad);
#endif /* !NEEDPROTOS */
